Obter pedido
curl --request GET \
--url https://api.korbit.com.br/v1/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korbit.com.br/v1/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korbit.com.br/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disputes": [
{
"amountMinor": 4503599627370495,
"financialEffectStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "CARD_CHARGEBACK",
"openedAt": "2023-11-07T05:31:56Z",
"providerDeadlineAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"status": "<string>"
}
],
"financials": {
"feeAmountMinor": 4503599627370495,
"feeFixedAmountMinor": 4503599627370495,
"feePercentageBps": 5000,
"netAmountMinor": 4503599627370495,
"refundedAmountMinor": 4503599627370495,
"refundingAmountMinor": 4503599627370495
},
"mainAmountMinor": 4503599627370495,
"paidAt": "2023-11-07T05:31:56Z",
"paymentIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refundEligibility": {
"code": "ELIGIBLE",
"eligible": true,
"expiresAt": "2023-11-07T05:31:56Z",
"refundWindowDays": 48,
"refundableAmountMinor": 4503599627370495
},
"refunds": [
{
"amount": 4503599627370496,
"approvalMode": "INSTANT",
"blockedBy": [
"INSUFFICIENT_AVAILABLE_BALANCE"
],
"currency": "BRL",
"evidenceCount": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiator": "CUSTOMER",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantDecision": {
"decidedAt": "2023-11-07T05:31:56Z",
"decision": "APPROVED",
"reason": "<string>"
},
"merchantReviewDeadlineAt": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentPaidAt": "2023-11-07T05:31:56Z",
"provider": {
"refundId": "<string>",
"submissionStatus": "<string>",
"submittedAt": "2023-11-07T05:31:56Z"
},
"reason": "<string>",
"refundWindow": {
"days": 48,
"expiresAt": "2023-11-07T05:31:56Z"
},
"requestedAt": "2023-11-07T05:31:56Z",
"status": "MERCHANT_REVIEW",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"timeline": [
{
"amountMinor": 4503599627370495,
"at": "2023-11-07T05:31:56Z",
"disputeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refundCaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ORDER_CREATED"
}
],
"amountMinor": 4503599627370496,
"bumps": [
{
"amountMinor": 4503599627370496,
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offerName": "<string>",
"productName": "<string>"
}
],
"buyerEmail": "jsmith@example.com",
"buyerName": "<string>",
"buyerPhone": "<string>",
"clientReferenceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currency": "BRL",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offerName": "<string>",
"paymentAttempts": [
{
"createdAt": "2023-11-07T05:31:56Z",
"paymentIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentMethod": "PIX",
"sequence": 2,
"status": "CREATED"
}
],
"paymentMethod": "PIX",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"status": "PAYMENT_PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"trackingParameters": {
"src": "<string>",
"sck": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_campaign": "<string>",
"utm_content": "<string>",
"utm_term": "<string>"
}
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}Clientes e Pedidos
Obter pedido
Detalhe completo do pedido: valores, método de pagamento, comprador e estado atual.
GET
/
v1
/
orders
/
{id}
Obter pedido
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
1 <= x <= 9007199254740991Maximum array length:
3Show child attributes
Show child attributes
Maximum string length:
320Maximum string length:
200Maximum string length:
32Maximum string length:
128Available options:
BRL Required string length:
1 - 120Show child attributes
Show child attributes
Available options:
PIX, CARD Required string length:
1 - 120Available options:
PAYMENT_PENDING, AWAITING_PAYMENT, PAID, PAYMENT_FAILED, CANCELED, EXPIRED Show child attributes
Show child attributes
Was this page helpful?